% eps.cls ===========================================================
%
% modified 12 December 2007
% by TERRAPUB
%    2003 Sansei Jiyugaoka Haimu, 5-27-19 Okusawa, Setagaya-ku, 
%    Tokyo 158-0083, Japan
%    URL   http://www.terrapub.co.jp
%    Phone: +81-3-3718-7500   Fax: +81-3-3718-4406
% based on
% Article.cls
% Copyright (C) 1996 by The LaTeX3 Project
% and also on :
% jggtex.v1  by Yoshimori Honkura, Tokyo Institute of Technology
% jgg.style  by Toru Sato, Kyoto University
%
%===================================================================
\NeedsTeXFormat{LaTeX2e}[1994/06/01]
\ProvidesClass{eps}[2002/04/10 v0.1 EPS document class]
\newcommand\@ptsize{}
\newif\if@restonecol
\newif\if@titlepage
\RequirePackage{ifthen}
\newboolean{Letter}
\newboolean{Abstract}
\@titlepagefalse
\DeclareOption{a4paper}
   {\setlength\paperheight {297mm}%
    \setlength\paperwidth  {210mm}}
\DeclareOption{10pt}{\renewcommand\@ptsize{0}}
\DeclareOption{11pt}{\renewcommand\@ptsize{1}}
\DeclareOption{12pt}{\renewcommand\@ptsize{2}}
\DeclareOption{twoside}{\@twosidetrue  \@mparswitchtrue}
\DeclareOption{draft}{\onecolumn}
\DeclareOption{twocolumn}{\@twocolumntrue}
\DeclareOption{fleqn}{\input{fleqn.clo}}
%%%
\DeclareOption{submit}{\renewcommand\@ptsize{2}\onecolumn%
 \setboolean{Abstract}{true}}
\DeclareOption{final}{\@twocolumntrue}
\DeclareOption{letter}{\setboolean{Letter}{true}}
%%%
\DeclareOption{openbib}{%
  \AtEndOfPackage{%
   \renewcommand\@openbib@code{%
      \advance\leftmargin\bibindent
      \itemindent -\bibindent
      \listparindent \itemindent
      \parsep \z@
      }%
   \renewcommand\newblock{\par}}%
}
\ExecuteOptions{a4paper,10pt,oneside,onecolumn}
\ProcessOptions
\input{size1\@ptsize.clo}
\setlength\lineskip{1\p@}
\setlength\normallineskip{1\p@}
\renewcommand\baselinestretch{1}
\def\ls#1{} % does not allow to change \baselinestretch
\setlength\parskip{0\p@ \@plus \p@}
\@lowpenalty   51
\@medpenalty  151
\@highpenalty 301
%%%
\setcounter{topnumber}{5}
\renewcommand\topfraction{.95}
\setcounter{bottomnumber}{1}
\renewcommand\bottomfraction{.95}
\setcounter{totalnumber}{10}
\renewcommand\textfraction{.02}
\renewcommand\floatpagefraction{.01}
\setcounter{dbltopnumber}{9}
\renewcommand\dbltopfraction{.95}
\renewcommand\dblfloatpagefraction{.01}
%%%%

\newif\ifdfont
\let\ifdfont=\iffalse  % Default is 'realfonts'
\@namedef{ds@draftfont}{\let\ifdfont=\iftrue} % 120% of the real size

\def\@category{0}                         % Default is full paper
\@namedef{ds@letter}{\def\@category{1}}   % Letter

\newif\ifdraft
\let\ifdraft=\iffalse % Default is true size, final format
\@namedef{ds@draft}{\let\ifdraft=\iftrue}  % A4-size draft style

\def\@numz{0}
\def\@numi{1}
\def\@numii{2}


\@options

\ifdfont
\font\bxsl=cmbx8

\def\viiipt{\textfont\z@\egtrm
  \scriptfont\z@\sixrm \scriptscriptfont\z@\fivrm
\textfont\@ne\egtmi \scriptfont\@ne\sixmi \scriptscriptfont\@ne\fivmi
\textfont\tw@\egtsy \scriptfont\tw@\sixsy \scriptscriptfont\tw@\fivsy
\textfont\thr@@\tenex \scriptfont\thr@@\tenex \scriptscriptfont\thr@@\tenex
\def\prm{\fam\z@\egtrm}%
\def\unboldmath{\everymath{}\everydisplay{}\@nomath
\unboldmath\@boldfalse}\@boldfalse
\def\boldmath{\@subfont\boldmath\unboldmath}%
\def\pit{\fam\itfam\egtit}\textfont\itfam\egtit
   \scriptfont\itfam\sevit \scriptscriptfont\itfam\sevit
\def\psl{\@getfont\psl\slfam\@viiipt{cmsl8}}%
\def\pbf{\@getfont\pbf\bffam\@viiipt{cmbx8}}%
\def\ptt{\@getfont\ptt\ttfam\@viiipt{cmtt8}\@nohyphens\ptt\@viiipt}%
\def\psf{\@getfont\psf\sffam\@viiipt{cmss8}}%
\def\psc{\@getfont\psc\scfam\@viiipt{cmsl8}}% use sl
\def\ly{\fam\lyfam\egtly}\textfont\lyfam\egtly
    \scriptfont\lyfam\sixly \scriptscriptfont\lyfam\fivly
\@setstrut \rm}

\def\@viiipt{}

\def\ixpt{\textfont\z@\ninrm
  \scriptfont\z@\sixrm \scriptscriptfont\z@\fivrm
\textfont\@ne\ninmi \scriptfont\@ne\sixmi \scriptscriptfont\@ne\fivmi
\textfont\tw@\ninsy \scriptfont\tw@\sixsy \scriptscriptfont\tw@\fivsy
\textfont\thr@@\tenex \scriptfont\thr@@\tenex \scriptscriptfont\thr@@\tenex
\def\prm{\fam\z@\ninrm}%
\def\unboldmath{\everymath{}\everydisplay{}\@nomath\unboldmath
    \@boldfalse}\@boldfalse
\def\boldmath{\@subfont\boldmath\unboldmath}%
\def\pit{\fam\itfam\ninit}\textfont\itfam\ninit
   \scriptfont\itfam\sevit \scriptscriptfont\itfam\sevit
\def\psl{\@getfont\psl\slfam\@ixpt{cmsl9}}%
\def\pbf{\fam\bffam\ninbf}\textfont\bffam\ninbf
   \scriptfont\bffam\ninbf \scriptscriptfont\bffam\ninbf
\def\ptt{\fam\ttfam\nintt}\textfont\ttfam\nintt
   \scriptfont\ttfam\nintt \scriptscriptfont\ttfam\nintt
\def\psf{\@getfont\psf\sffam\@ixpt{cmss9}}%
\def\psc{\@getfont\psc\scfam\@ixpt{cmsl9}}%  use sl
\def\ly{\fam\lyfam\ninly}\textfont\lyfam\ninly
   \scriptfont\lyfam\sixly \scriptscriptfont\lyfam\fivly
\@setstrut \rm}

\def\@ixpt{}
\else
\font\bxsl=cmbxsl10 scaled 800
\fi

\def\@normalsize{\@setsize\normalsize{12pt}\xpt\@xpt
\abovedisplayskip 10pt plus2pt minus5pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus3pt\belowdisplayshortskip 6pt plus3pt
minus3pt\let\@listi\@listI}
\def\small{\@setsize\small{11pt}\ixpt\@ixpt
\abovedisplayskip 8.5pt plus 3pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus2pt\belowdisplayshortskip 4pt plus2pt minus 2pt
\let\@listi\@listI}
\def\footnotesize{\@setsize\footnotesize{9.5pt}\viiipt\@viiipt
\abovedisplayskip 6pt plus 2pt minus 4pt\belowdisplayskip \abovedisplayskip
\abovedisplayshortskip \z@ plus 1pt\belowdisplayshortskip 3pt plus 1pt minus
2pt\let\@listi\@listI}
\def\scriptsize{\@setsize\scriptsize{8pt}\viipt\@viipt}
\def\tiny{\@setsize\tiny{6pt}\vpt\@vpt}
\def\large{\@setsize\large{14pt}\xiipt\@xiipt}
\def\Large{\@setsize\Large{18pt}\xivpt\@xivpt}
\def\LARGE{\@setsize\LARGE{22pt}\xviipt\@xviipt}
\def\huge{\@setsize\huge{25pt}\xxpt\@xxpt}
\def\Huge{\@setsize\Huge{30pt}\xxvpt\@xxvpt}

\def\@listI{\leftmargin\leftmargini \parsep 0pt\topsep 6pt\itemsep 8pt
 \partopsep 0pt}
\def\@listii{\leftmargin\leftmarginii
 \labelwidth\leftmarginii\advance\labelwidth-\labelsep
 \parsep 0pt\topsep 8pt\itemsep 8pt\partopsep 0pt}
\def\@listiii{\leftmargin\leftmarginiii
 \labelwidth\leftmarginiii\advance\labelwidth-\labelsep
 \parsep 0pt\topsep 0pt\itemsep 0pt\partopsep 0pt}
\def\@listiv{\leftmargin\leftmarginiv
 \labelwidth\leftmarginiv\advance\labelwidth-\labelsep}
\def\@listv{\leftmargin\leftmarginv
 \labelwidth\leftmarginv\advance\labelwidth-\labelsep}
\def\@listvi{\leftmargin\leftmarginvi
 \labelwidth\leftmarginvi\advance\labelwidth-\labelsep}

\headheight 10pt \headsep 12pt
\footskip 0pt
\textheight 25.3cm
% \textwidth 17.3cm
\columnsep 5mm \columnseprule 0pt

\@twosidetrue\@mparswitchtrue % twoside option in effect

\normalsize

\footnotesep 6.65pt
\skip\footins 9pt plus 4pt minus 2pt
\floatsep 12pt plus 2pt minus 2pt \textfloatsep 20pt plus 2pt minus 4pt
\intextsep 12pt plus 2pt minus 2pt
\dblfloatsep 12pt plus 2pt
minus 2pt \dbltextfloatsep 20pt plus 2pt minus 4pt
\@fptop 0pt plus 1fil \@fpsep 8pt plus 2fil \@fpbot 0pt plus 1fil
\@dblfptop 0pt plus 1fil \@dblfpsep 8pt plus 2fil \@dblfpbot 0pt plus 1fil
\marginparpush 5pt

\parskip 0pt \parindent 1em \topsep 0pt plus 1pt
\partopsep 0pt plus 1pt \itemsep 0pt plus 1pt
\@lowpenalty 51 \@medpenalty 151 \@highpenalty 301
\@beginparpenalty -\@lowpenalty \@endparpenalty -\@lowpenalty \@itempenalty
-\@lowpenalty

\leftmargini 20pt
\leftmarginii 22pt \leftmarginiii 18.7pt \leftmarginiv 17pt
\leftmarginv 10pt \leftmarginvi 10pt
\leftmargin\leftmargini
\labelsep 5pt
\labelwidth\leftmargini\advance\labelwidth-\labelsep
\let\@listi\@listI
\@listI

\def\acknowledgments#1{\long\def\@acknowledgements
                     {\small\baselineskip10pt #1}}

\def\acknowledgments{\par\vspace{\baselineskip}\noindent
\small\baselineskip10pt{\small\bf Acknowledgments.}\enskip}
\baselineskip10pt\let\endacknowledgements\relax

\def\references{
\@startsection {section}{1}{\z@}{2.5ex plus 1ex minus
 .2ex}{.5ex plus .2ex}{\normalsize\bf}*{References}
  \footnotesize \let\\=\@centercr
  \list{}{\itemsep\z@ \itemindent -.3cm\listparindent \itemindent
          \leftmargin\z@
          \rightmargin\leftmargin\advance\leftmargin .3cm}\item[]}
\let\endreferences=\endlist

\newcounter{appendix}
\setcounter{appendix}{0}
\def\appendix{\normalsize
 \refstepcounter{appendix}
  \def\@beforeskip{2ex plus 1ex minus .2ex}
 \def\@afterskip{2ex plus .2ex}
 \def\theappendix{\Alph{appendix}}
 \@ifstar{\@appendix{}}{\@appendix{~\theappendix}}
}

\def\@appendix#1#2{
\def\a@title{#2}
\ifx\@empty\a@title % no title
\@startsection {section}{1}{0em}{\@beforeskip}%
{0pt}{\bf\secfont}*{Appendix#1.\\\hspace*{\parindent}}
\else % with title
  \if@noskipsec \leavevmode \fi
  \par \@afterindenttrue
  \if@nobreak \everypar{}\else
    \addpenalty{\@secpenalty}\addvspace{\@beforeskip}\fi
  \@hangfrom{\hspace*{\z@}{\bf\secfont Appendix#1. ~}}%
  {\interlinepenalty \@M {\bf\secfont #2}\par}
\fi
  \setcounter{section}{0}
  \def\thesection{}
  \setcounter{subsection}{0}
  \def\thesubsection{\theappendix.\arabic{subsection}}
  \setcounter{subsubsection}{0}
  \def\thesubsubsection{\thesubsection.\arabic{subsubsection}}
  \setcounter{equation}{0}
  \def\theequation{\theappendix.\arabic{equation}}
}

%%%%
\def\affiliation#1{\gdef\@affiliation{#1}}
\def\@affiliation{}
\def\@author{}
\def\@title{}
\def\ryear#1{\gdef\@ryear{#1}} \ryear{}
\def\rmonth#1{\gdef\@rmonth{#1}} \rmonth{}
\def\rday#1{\gdef\@rday{#1}} \rday{}
\def\ayear#1{\gdef\@ayear{#1}} \ayear{}
\def\amonth#1{\gdef\@amonth{#1}} \amonth{}
\def\aday#1{\gdef\@aday{#1}} \aday{}
\def\received#1{\gdef\@received{#1}} \received{}
\def\revised#1{\gdef\@revised{#1}} \revised{}
\def\accepted#1{\gdef\@accepted{#1}} \accepted{}
\def\setdate{\footnotesize (Received \@received;
                       Revised \@revised; Accepted \@accepted; Online published Xxxxx xx, 2008)}

\ifthenelse{\boolean{Abstract}}%
    {\long\def\abstract#1{\long\def\@abstract{%
      \normalsize\baselineskip15pt\quad #1\par}\def\baselinestretch{2}}}%
    {\long\def\abstract#1{\long\def\@abstract{%
      \normalsize\baselineskip11pt\quad #1\par}}}


\def\keywords#1{\def\@keywords{{\bf Key words: }#1}}
\def\keywordsname{\bf Key word: }


\def\maketitle{\par
 \setcounter{footnote}{0}
 \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
%   \def\@makefnmark{\hbox
%       to 0pt{$^{\@thefnmark}$\hss}}%
    \if@twocolumn
      \twocolumn[\@maketitle]%
      \else \newpage
    \global\@topnum\z@    % Prevents figures from going at top of page.
    \@maketitle \fi\thispagestyle{plain}\@thanks
 \endgroup
 \let\maketitle\relax
 \let\@maketitle\relax
 \gdef\@thanks{}\gdef\@author{}\gdef\@title{}\let\thanks\relax}

\def\@maketitle{\newpage
 \null
 \vskip 1.3cm               % Vertical space above title.
 \begin{center}
  {\Large\bf \@title \par}
  \vskip 16pt               % Vertical space after title.
  {\small
   \lineskip .8em
   \begin{tabular}[t]{c}\@author
   \end{tabular}\par}
   \vskip 6pt              % Vertical space after author.
  {\footnotesize\it
   \lineskip .8em
   \begin{tabular}[t]{c}\@affiliation
   \end{tabular}\par}
   \vskip 11pt              % Vertical space after affiliation.
   \setdate \par
   \vskip 17pt              % Vertical space after date.
 \end{center}
 \begin{list}{}{\leftmargin=.6cm
    \topsep=0pt \partopsep=0pt \listparindent=1em \parsep=0pt \itemsep=0pt
    \itemindent=0em        % 1em
    \setlength{\rightmargin}{\leftmargin}}
    \item {\@abstract}
    \item {\@keywords}
 \end{list}\par
    \vskip -1mm
\vspace{2\baselineskip}}

\def\namefirst#1{\gdef\@namefirst{#1}} \namefirst{}
\def\notefirst#1{\gdef\@notefirst{#1}} \notefirst{}
\def\namesecond#1{\gdef\@namesecond{#1}} \namesecond{}
\def\notesecond#1{\gdef\@notesecond{#1}} \notesecond{}
\def\makeanothertitle{\par
 \begingroup
   \def\thefootnote{\fnsymbol{footnote}}
   \def\@makefnmark{\hbox
       to 0pt{$^{\@thefnmark}$\hss}}%
    \if@twocolumn
      \twocolumn[\makename]%
      \else \newpage
    \global\@topnum\z@    % Prevents figures from going at top of page.
    \makename \fi\thispagestyle{plain}\@thanks
 \endgroup
 \setcounter{footnote}{0}}

\def\makename{\newpage
 \null
 \vskip 14pt               % Vertical space above title.
 \begin{center}
  {\large\bf \@title \par}
  \vskip 16pt               % Vertical space after title.
  {\normalsize \@namefirst \par}
  {\normalsize \it \@notefirst \par}
  {\normalsize and \par}
  {\normalsize \@namesecond \par}
  {\normalsize \it \@notesecond \par}
   \vskip 11pt              % Vertical space after affiliation.
   \setdate \par
   \vskip 5pt
 \end{center}
 \begin{list}{}{\leftmargin=.6cm
    \topsep=0pt \partopsep=0pt \listparindent=1em \parsep=0pt \itemsep=0pt
    \itemindent=1em
    \setlength{\rightmargin}{\leftmargin}}
    \item {\@abstract}
 \end{list}\par
\vspace{2\baselineskip}}

%%%%%
\setlength{\oddsidemargin}{-1in}
\addtolength{\oddsidemargin}{18.5mm}
\setlength{\textwidth}{\paperwidth}
\addtolength{\textwidth}{-37mm}
\setlength{\evensidemargin}{-1in}
\addtolength{\evensidemargin}{18.5mm}
\topmargin -.8cm
\@input{fancyhdr.sty}
\def\volumenumber#1{\gdef\@volumenumber{#1}} \volumenumber{}
\def\articlenumber#1{\gdef\@articlenumber{#1}} \articlenumber{}
\def\publishyear#1{\gdef\@publishyear{#1}} \publishyear{}
\def\shortauthor#1{\gdef\@shortauthor{#1}} \shortauthor{}
\def\shorttitle#1{\gdef\@shorttitle{\uppercase{#1}}} \shorttitle{}
\def\frompage#1{\gdef\@frompage{#1}} \frompage{}
\def\topage#1{\gdef\@topage{#1}} \topage{}
\def\plaininfoL{\footnotesize%
 {\it Earth Planets Space\/}, {\bf\@volumenumber},
   \@frompage--\@topage, \@publishyear}
\def\plaininfoP{\footnotesize%
 \hfill {\it Earth Planets Space\/}, {\bf\@volumenumber},
   \@frompage--\@topage, \@publishyear}

\font\bxsl=ptmbi scaled 800

\pagestyle{fancyplain}
\renewcommand{\headrulewidth}{0pt}
\lfoot{}\rfoot{}\cfoot{}
\lhead{}\rhead{}\chead{}
\def\setfancyheadingsL{%
  \lhead[\fancyplain{}{\footnotesize \thepage}]%
        {\fancyplain{\vspace{.5cm}{{\bxsl{LETTER}}\hspace{.5em}%
        \hrulefill\hspace{.5em}\plaininfoL}}}%
  \rhead[\fancyplain{}]%
        {\fancyplain{}{\footnotesize \thepage}}%
  \chead[\fancyplain{}{\footnotesize \@shorttitle}]%
        {\fancyplain{}{\footnotesize \@shorttitle}}%
  \lfoot{}\rfoot{}
  \cfoot{\fancyplain{\vspace{.2cm}\footnotesize \thepage}}}
\def\setfancyheadingsP{%
  \lhead[\fancyplain{}{\footnotesize \thepage}]%
        {\fancyplain{\vspace{.5cm}\plaininfoP}}%
  \rhead[\fancyplain{{}}]%
        {\fancyplain{}{\footnotesize \thepage}}%
  \chead[\fancyplain{}{\footnotesize \@shorttitle}]%
        {\fancyplain{}{\footnotesize \@shorttitle}}%
  \lfoot{}\rfoot{}
  \cfoot{\fancyplain{\vspace{.2cm}\footnotesize \thepage}}}
%%%
\ifthenelse{\boolean{Letter}}{\setfancyheadingsL}{\setfancyheadingsP}
%%%
\setcounter{secnumdepth}{3}
\newcounter {part}
\newcounter {section}
\newcounter {subsection}[section]
\newcounter {subsubsection}[subsection]
\newcounter {paragraph}[subsubsection]
\newcounter {subparagraph}[paragraph]
\renewcommand\thepart         {\@Roman\c@part}
\renewcommand\thesubsection   {\thesection.\@arabic\c@subsection}
\renewcommand\thesubsubsection{\thesubsection.\@arabic\c@subsubsection}
\renewcommand\theparagraph    {\thesubsubsection.\@arabic\c@paragraph}
\renewcommand\thesubparagraph {\theparagraph.\@arabic\c@subparagraph}
\newcommand\part{\par
   \addvspace{4ex}%
   \@afterindentfalse
   \secdef\@part\@spart}

\def\@seccntformat#1{% #1: <counter name>
   \@nameuse{@seccnt@prefix@#1}%
   \@nameuse{the#1}%
   \@nameuse{@seccnt@postfix@#1}%
   \@nameuse{@seccnt@afterskip@#1}}
\def\@seccnt@prefix@section{}
\def\@seccnt@postfix@section{}
\def\@seccnt@afterskip@section{\quad}
\def\@seccnt@prefix@subsection{}
\def\@seccnt@postfix@subsection{}
\def\@seccnt@afterskip@subsection{\quad}
\def\@seccnt@prefix@subsubsection{}
\def\@seccnt@postfix@subsubsection{}
\def\@seccnt@afterskip@subsubsection{\quad}
\def\@seccnt@prefix@paragraph{}
\def\@seccnt@postfix@paragraph{}
\def\@seccnt@afterskip@paragraph{\quad}
\def\@seccnt@prefix@subparagraph{}
\def\@seccnt@postfix@subparagraph{}
\def\@seccnt@afterskip@subparagraph{\quad}

\def\@seccnt@postfix@section{.}

\def\@part[#1]#2{%
    \ifnum \c@secnumdepth >\m@ne
      \refstepcounter{part}%
      \addcontentsline{toc}{part}{\thepart\hspace{1em}#1}%
    \else
      \addcontentsline{toc}{part}{#1}%
    \fi
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \ifnum \c@secnumdepth >\m@ne
       \Large\bfseries \partname~\thepart
       \par\nobreak
     \fi
     \huge \bfseries #2%
     \markboth{}{}\par}%
    \nobreak
    \vskip 3ex
    \@afterheading}
\def\@spart#1{%
    {\parindent \z@ \raggedright
     \interlinepenalty \@M
     \normalfont
     \huge \bfseries #1\par}%
     \nobreak
     \vskip 3ex
     \@afterheading}
\font\secfont=ptmb scaled 1100
\newcommand\section{\@startsection {section}{1}{\z@}%
                                   {2.5ex \@plus 1ex \@minus .2ex}%
                                   {.002pt}%
                                   {\secfont}}
\newcommand\subsection{\@startsection{subsection}{2}{\z@}%
                                     {\z@}%
                                     {.001pt}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\subsubsection{\@startsection{subsubsection}{3}{1em}%
                                     {\z@}%
                                     {-1em}%
                                     {\normalfont\normalsize\bfseries}}
\newcommand\paragraph{\@startsection{paragraph}{4}{\z@}%
                                    {3.25ex \@plus1ex \@minus.2ex}%
                                    {-1em}%
                                    {\normalfont\normalsize\bfseries}}
\newcommand\subparagraph{\@startsection{subparagraph}{5}{\parindent}%
                                       {3.25ex \@plus1ex \@minus .2ex}%
                                       {-1em}%
                                      {\normalfont\normalsize\bfseries}}
\if@twocolumn
  \setlength\leftmargini  {2em}
\else
  \setlength\leftmargini  {2.5em}
\fi
\leftmargin  \leftmargini
\setlength\leftmarginii  {2.2em}
\setlength\leftmarginiii {1.87em}
\setlength\leftmarginiv  {1.7em}
\if@twocolumn
  \setlength\leftmarginv  {.5em}
  \setlength\leftmarginvi {.5em}
\else
  \setlength\leftmarginv  {1em}
  \setlength\leftmarginvi {1em}
\fi
\setlength  \labelsep  {.5em}
\setlength  \labelwidth{\leftmargini}
\addtolength\labelwidth{-\labelsep}
\@beginparpenalty -\@lowpenalty
\@endparpenalty   -\@lowpenalty
\@itempenalty     -\@lowpenalty
\renewcommand\theenumi{\@arabic\c@enumi}
\renewcommand\theenumii{\@alph\c@enumii}
\renewcommand\theenumiii{\@roman\c@enumiii}
\renewcommand\theenumiv{\@Alph\c@enumiv}
\newcommand\labelenumi{\theenumi)}
\newcommand\labelenumii{(\theenumii)}
\newcommand\labelenumiii{\theenumiii.}
\newcommand\labelenumiv{\theenumiv.}
\renewcommand\p@enumii{\theenumi}
\renewcommand\p@enumiii{\theenumi(\theenumii)}
\renewcommand\p@enumiv{\p@enumiii\theenumiii}
\newcommand\labelitemi{$\m@th\bullet$}
\newcommand\labelitemii{\normalfont\bfseries --}
\newcommand\labelitemiii{$\m@th\ast$}
\newcommand\labelitemiv{$\m@th\cdot$}
\newenvironment{description}
               {\list{}{\labelwidth\z@ \itemindent-\leftmargin
                        \let\makelabel\descriptionlabel}}
               {\endlist}
\newcommand*\descriptionlabel[1]{\hspace\labelsep
                                \normalfont\bfseries #1}
\newenvironment{verse}
               {\let\\=\@centercr
                \list{}{\itemsep      \z@
                        \itemindent   -1.5em%
                        \listparindent\itemindent
                        \rightmargin  \leftmargin
                        \advance\leftmargin 1.5em}%
                \item\relax}
               {\endlist}
\newenvironment{quotation}
               {\list{}{\listparindent 1.5em%
                       \itemindent\listparindent \topsep 2.5ex plus 1ex minus .2ex
                       \rightmargin\leftmargin \itemsep 2.5ex plus 1ex minus .2ex
                       \parsep        \z@ \@plus\p@}%
                \item\relax}
               {\endlist}
\newenvironment{quote}
               {\list{}{\rightmargin\leftmargin}%
                \item\relax}
               {\endlist}
\long\def\@makecaption#1#2{
   \vskip 13pt \@plus3pt \@minus3pt% 0.5cm
   \footnotesize
   \leftskip=0pt\rightskip=0pt
   \setbox\@tempboxa\hbox{#1 #2}
   \ifdim \wd\@tempboxa >\hsize   % IF longer than one line:
       \leftskip=.3cm
       \hspace*{-0.3cm}\unhbox\@tempboxa\par
   \else                          %   ELSE  center.
       \hbox to\hsize{\hfil\box\@tempboxa\hfil}
   \fi
   \vskip .4em \leftskip=0pt \rightskip=0pt}

\setlength\arraycolsep{5\p@}
\setlength\tabcolsep{12\p@}
\setlength\arrayrulewidth{.4\p@}
\setlength\doublerulesep{2\p@}
\setlength\tabbingsep{\labelsep}
\skip\@mpfootins = \skip\footins
\setlength\fboxsep{3\p@}
\setlength\fboxrule{.4\p@}
\renewcommand\theequation{\@arabic\c@equation}
\newcounter{figure}
\renewcommand\thefigure{\@arabic\c@figure}
\def\fps@figure{tbp}
\def\ftype@figure{1}
\def\ext@figure{lof}
\def\fnum@figure{Fig.\ \thefigure.~}
\newenvironment{figure}
               {\@float{figure}}
               {\end@float}
\newenvironment{figure*}
               {\@dblfloat{figure}}
               {\end@dblfloat}
\newcounter{table}
\renewcommand\thetable{\@arabic\c@table}
\def\fps@table{tbp}
\def\ftype@table{2}
\def\ext@table{lot}
\def\fnum@table{Table~\thetable.~}
\newenvironment{table}
               {\@float{table}}
               {\end@float}
\newenvironment{table*}
               {\@dblfloat{table}}
               {\end@dblfloat}
\newdimen\pt@width
\newtoks\@temptokenb
\def\tablewidth#1{\pt@width=#1} \pt@width\textwidth
\def\tablenotemark#1{\rlap{$^{\rm #1}$}}
\def\tblnote@list{}

\def\tablenotetext#1#2{
\@temptokena={\parbox{\pt@width}{$^{#1}$#2}\par}
\@temptokenb=\expandafter{\tblnote@list}
\xdef\tblnote@list{\the\@temptokenb\the\@temptokena}}
\def\spew@tblnotes{
\ifx\tblnote@list\@empty\relax
\else
\vspace{.3ex}
{\small\tblnote@list}
\gdef\tblnote@list{}
\fi}

\def\table{\renewcommand{\arraystretch}{1.3} \@float{table}}
\def\endtable{\spew@tblnotes\end@float}
\@namedef{table*}{\renewcommand{\arraystretch}{1.3} \@dblfloat{table}}
\@namedef{endtable*}{\spew@tblnotes\end@dblfloat}

\def\tblcaption{\refstepcounter\@captype \@dblarg{\@tblcaption\@captype}}
\long\def\@tblcaption#1[#2]#3{\par\addcontentsline{\csname
  ext@#1\endcsname}{#1}{\protect\numberline{\csname
  the#1\endcsname}{\ignorespaces #2}}\begingroup
    \@parboxrestore
    \normalsize
    \@maketblcaption{\csname fnum@#1\endcsname}{\ignorespaces #3}\par
  \endgroup}
\long\def\@maketblcaption#1#2{
   \small
   \leftskip=0pt\rightskip=0pt
   \setbox\@tempboxa\hbox{#1 #2}
   \ifdim \wd\@tempboxa >\hsize   % IF longer than one line:
       \leftskip=1.6em            % THEN  hanging indent
       \hspace*{-1.6em}\unhbox\@tempboxa\par
   \else                          %   ELSE  center.
       \hbox to\hsize{\hfil\box\@tempboxa\hfil}
   \fi
   \vskip .3em \leftskip=0pt}
\def\@float#1{\@ifnextchar[{\@xfloat{#1}}{\edef\@tempa{\noexpand\@xfloat
    {#1}[\csname fps@#1\endcsname]}\@tempa}}

\def\@xfloat#1[#2]{\ifhmode \@bsphack\@floatpenalty -\@Mii\else
   \@floatpenalty-\@Miii\fi\def\@captype{#1}\ifinner
      \@parmoderr\@floatpenalty\z@
    \else\@next\@currbox\@freelist{\@tempcnta\csname ftype@#1\endcsname
       \multiply\@tempcnta\@xxxii\advance\@tempcnta\sixt@@n
       \@tfor \@tempa :=#2\do
                        {\if\@tempa h\advance\@tempcnta \@ne\fi
                         \if\@tempa t\advance\@tempcnta \tw@\fi
                         \if\@tempa b\advance\@tempcnta 4\relax\fi
                         \if\@tempa p\advance\@tempcnta 8\relax\fi
         }\global\count\@currbox\@tempcnta}\@fltovf\fi
    \global\setbox\@currbox\vbox\bgroup
    \hsize\columnwidth \@parboxrestore \small}

\def\end@float{\par\vskip\z@\egroup %% \par\vskip\z@ added 15 Dec 87
   \ifnum\@floatpenalty <\z@
     \@cons\@currlist\@currbox
     \ifdim \ht\@currbox >\textheight
        \ht\@currbox\textheight \fi
     \ifnum\@floatpenalty < -\@Mii
        \penalty -\@Miv
        \@tempdima\prevdepth    %% saving and restoring \prevdepth added
        \vbox{}                 %% 26 May 87 to prevent extra vertical
        \prevdepth \@tempdima   %% space when used in vertical mode
        \penalty\@floatpenalty
      \else \vadjust{\penalty -\@Miv \vbox{}\penalty\@floatpenalty}\@esphack
     \fi\fi}



\def\@eqnnum{(\theequation)\hspace*{\z@}}


\def\copyrighttext#1{%
     \def\@makefntext#1{%
     \ifnum\c@footnote=0\relax\else\vspace{10pt}\fi
     \parindent 0em\noindent \hbox to 0em{}#1}
     \scriptsize\baselineskip8pt
     \footnotetext{
	    \scriptsize\baselineskip8pt
     Copy right\copyright\enskip
The Society of Geomagnetism and Earth,
Planetary and Space Sciences (SGEPSS); The Seismological Society
of Japan; The Volcanological Society of Japan; The Geodetic
Society of Japan; The Japanese Society for Planetary Sciences; TERRAPUB.
\par}\normalsize}

\long\def\makepageeven{
 \ifodd\count0\advance\count0 by 1\fi
}

\long\def\makepageodd{
 \ifodd\count0\else\advance\count0 by 1\fi
}

\def\pagenum#1{\setcounter{page}{#1}}

\newtoks\@stequation

\def\degree{\mbox{$^\circ$}}

\def\altaffilmark#1{$^{#1}$}
\def\altaffiltext#1#2{\footnotetext[#1]{#2}\stepcounter{footnote}}

\newenvironment{Eqnarray}%
    {\arraycolsep 0.14em\begin{eqnarray}}{\end{eqnarray}}
\newenvironment{Manyeqns}%
    {\arraycolsep 0.14em\begin{manyeqns}}{\end{manyeqns}}
\def\chem{\everymath={\fam0 }\fam0 }   % roman in a math mode
\newcommand{\mathbold}[1]{\mbox{\boldmath $\bf#1$}}

\newdimen\lastp@geheight \lastp@geheight=10mm
\newsavebox{\lastp@gebox}
\def\lastpagecontrol{\@ifnextchar [{\l@stpagecontrol}%
 {\l@stpagecontrol[\z@]}}
\def\l@stpagecontrol[#1]#2{\global\lastp@geheight=#2%
 \@ifundefined{maxsize}{}{\global\advance\maxsize-#2}% for supertab.sty
 \global\sbox{\lastp@gebox}{}%
  \@tempdima\ht\lastp@gebox \advance\@tempdima\dp\lastp@gebox
 \ifdim\@tempdima>\lastp@geheight
  \@tempdima\lastp@geheight \global\lastp@geheight=0pt
 \else
  \global\advance\lastp@geheight -\@tempdima
  \@tempdima\lastp@geheight \global\lastp@geheight\textheight
 \fi
  \def\footnoterule{\null}% force it to \null at the last page
  \insert\footins{\footnotesize\baselineskip9pt
  \interlinepenalty\interfootnotelinepenalty
  \splittopskip\footnotesep
  \splitmaxdepth \dp\strutbox \floatingpenalty \@MM
  \hsize\textwidth \@parboxrestore
   \ifdim\lastp@geheight=\z@\else\usebox{\lastp@gebox}\fi%
  \vspace*{\@tempdima}}}
\def\lastpagesettings{\@ifnextchar [{\l@stpagesettings}%
 {\l@stpagesettings[\z@]}}
\def\l@stpagesettings[#1]{%
 \ifdim\lastp@geheight=\z@
  \onecolumn\null\vspace*{#1}\noindent\usebox{\lastp@gebox}%
 \fi}

\def\pmb#1{\setbox0=\hbox{#1}
  \kern-.02em\copy0\kern-\wd0
  \kern.02em\raise.015em\copy0\kern-\wd0
  \kern-.015em\copy0\kern-\wd0
  \kern-.02em\raise.015em\copy0\kern-\wd0
  \kern.025em\copy0\kern-\wd0
  \kern.015em\raise.02em\copy0\kern-\wd0
  \kern-.025em\copy0\kern-\wd0
  \kern-.02em\raise-.01em\box0}


\pagenumbering{arabic}      % Arabic page numbers

\newtoks\@stfigure

\def\picture #1 by #2 (#3){%
\vbox to #2{%
\hrule width #1 height 0pt depth 0pt%
\vfill%
\special{picture #3}}}
\def\scaledpicture #1 by #2 (#3 scaled #4){{%
\dimen0=#1 \dimen1=#2%
\divide\dimen0 by 1000 \multiply\dimen0 by #4%
\divide\dimen1 by 1000 \multiply\dimen1 by #4%
\picture \dimen0 by \dimen1 (#3 scaled #4)}}

\setlength{\arraycolsep}{1.5pt}
\newcommand\email[1]{\smallskip
\footnotesize
\hbox to 3.4cm{\hrulefill}#1}

\pretolerance=300 %%% default value = 100
\tolerance=600    %%% default value = 200

\DeclareOldFontCommand{\rm}{\normalfont\rmfamily}{\mathrm}
\DeclareOldFontCommand{\sf}{\normalfont\sffamily}{\mathsf}
\DeclareOldFontCommand{\tt}{\normalfont\ttfamily}{\mathtt}
\DeclareOldFontCommand{\bf}{\normalfont\bfseries}{\mathbf}
\DeclareOldFontCommand{\it}{\normalfont\itshape}{\mathit}
\DeclareOldFontCommand{\sl}{\normalfont\slshape}{\@nomath\sl}
\DeclareOldFontCommand{\sc}{\normalfont\scshape}{\@nomath\sc}
\DeclareRobustCommand*\cal{\@fontswitch\relax\mathcal}
\DeclareRobustCommand*\mit{\@fontswitch\relax\mathnormal}
\newcommand\@pnumwidth{1.55em}
\newcommand\@tocrmarg{2.55em}
\newcommand\@dotsep{4.5}
\setcounter{tocdepth}{3}
\newcommand\tableofcontents{%
    \section*{\contentsname
        \@mkboth{%
           \MakeUppercase\contentsname}{\MakeUppercase\contentsname}}%
    \@starttoc{toc}%
    }
\newcommand*\l@part[2]{%
  \ifnum \c@tocdepth >-2\relax
    \addpenalty\@secpenalty
    \addvspace{2.25em \@plus\p@}%
    \begingroup
      \setlength\@tempdima{3em}%
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      {\leavevmode
       \large \bfseries #1\hfil \hb@xt@\@pnumwidth{\hss #2}}\par
       \nobreak
       \if@compatibility
         \global\@nobreaktrue
         \everypar{\global\@nobreakfalse\everypar{}}%
      \fi
    \endgroup
  \fi}
\newcommand*\l@section[2]{%
  \ifnum \c@tocdepth >\z@
    \addpenalty\@secpenalty
    \addvspace{1.0em \@plus\p@}%
    \setlength\@tempdima{1.5em}%
    \begingroup
      \parindent \z@ \rightskip \@pnumwidth
      \parfillskip -\@pnumwidth
      \leavevmode \bfseries
      \advance\leftskip\@tempdima
      \hskip -\leftskip
      #1\nobreak\hfil \nobreak\hb@xt@\@pnumwidth{\hss #2}\par
    \endgroup
  \fi}
\newcommand*\l@subsection{\@dottedtocline{2}{1.5em}{2.3em}}
\newcommand*\l@subsubsection{\@dottedtocline{3}{3.8em}{3.2em}}
\newcommand*\l@paragraph{\@dottedtocline{4}{7.0em}{4.1em}}
\newcommand*\l@subparagraph{\@dottedtocline{5}{10em}{5em}}
\newcommand\listoffigures{%
    \section*{\listfigurename
      \@mkboth{\MakeUppercase\listfigurename}%
              {\MakeUppercase\listfigurename}}%
    \@starttoc{lof}%
    }
\newcommand*\l@figure{\@dottedtocline{1}{1.5em}{2.3em}}
\newcommand\listoftables{%
    \section*{\listtablename
      \@mkboth{%
          \MakeUppercase\listtablename}{\MakeUppercase\listtablename}}%
    \@starttoc{lot}%
    }
\let\l@table\l@figure
\newdimen\bibindent
\setlength\bibindent{1.5em}
\newenvironment{thebibliography}[1]
     {\section*{\refname
        \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy\clubpenalty4000\widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\newcommand\newblock{\hskip .11em\@plus.33em\@minus.07em}
\let\@openbib@code\@empty
\newenvironment{theindex}
               {\if@twocolumn
                  \@restonecolfalse
                \else
                  \@restonecoltrue
                \fi
                \columnseprule \z@
                \columnsep 35\p@
                \twocolumn[\section*{\indexname}]%
                \@mkboth{\MakeUppercase\indexname}%
                        {\MakeUppercase\indexname}%
                \thispagestyle{plain}\parindent\z@
                \parskip\z@ \@plus .3\p@\relax
                \let\item\@idxitem}
               {\if@restonecol\onecolumn\else\clearpage\fi}
\newcommand\@idxitem{\par\hangindent 40\p@}
\newcommand\subitem{\@idxitem \hspace*{20\p@}}
\newcommand\subsubitem{\@idxitem \hspace*{30\p@}}
\newcommand\indexspace{\par \vskip 10\p@ \@plus5\p@ \@minus3\p@\relax}
\renewcommand\footnoterule{%
  \kern-3\p@
  \hrule\@width.4\columnwidth
  \kern2.6\p@}
\newcommand\@makefntext[1]{%
    \parindent 1em%
    \noindent
    \hb@xt@1.8em{\hss\@makefnmark}#1}
\newcommand\contentsname{Contents}
\newcommand\listfigurename{List of Figures}
\newcommand\listtablename{List of Tables}
\newcommand\refname{References}
\newcommand\indexname{Index}
\newcommand\figurename{Figure}
\newcommand\tablename{Table}
\newcommand\partname{Part}
\newcommand\appendixname{Appendix}
\newcommand\abstractname{Abstract}
\newcommand\today{}
\edef\today{\ifcase\month\or
  January\or February\or March\or April\or May\or June\or
  July\or August\or September\or October\or November\or December\fi
  \space\number\day, \number\year}
\setlength\columnsep{10\p@}
\setlength\columnseprule{0\p@}
\pagestyle{plain}
\pagenumbering{arabic}
\if@twoside
\else
  \raggedbottom
\fi
\if@twocolumn
  \twocolumn
  \sloppy
  \flushbottom
\else
  \onecolumn
\fi
\endinput
%% 
%% End of file `eps.cls'.
